ASSA-GENESIS(1)

NAME
assa-genesis - generates skeleton files for RAD development with ASSA library

SYNOPSIS
assa-genesis [OPTIONS] <app_name>

USAGE

Four files are generated by default:

<app_name>-main.h	   Header file with debug tracing masks

<app_name>-main.cpp    'main()' function with event loop

<app_name>.h           Header file for class <app_name>

<app_name>.cpp         Implementation stubs for class <app_name>

In addition, if --gtk2-app options was specified, the MainWindow class is generated:

MainWindow.h           Class MainWindow declaration

MainWindow.cpp         Class MainWindow definition

If {-t, --one-file} switch is used, everything is put in one file, <app_name>.cpp. This is primarily used for writing test programs.

See ASSA User's Guide for further details

OPTIONS

--with-example      Add example of processing positional command-line arguments.

--with-gpl-license  (Default) Generate files with GPL license headers.

--with-lgpl-license Generate files with LGPL license headers.

--with-x11-license Generate files with X11-type license headers.

--with-makefile Generate GNUmakefile.<app-name> file.

--gtk2-app Generate Gtkmm2-2.4 ready application.

-o, --one-file Put everything in one file

-e, --extension STRING Set file extension for C++ code (C, cxx, ...)

-h, --help print help message

-v, --version print version number

AUTHOR
Original program written by Vladislav Grinchenko.

This manual page was written by Miriam Ruiz <little_miry@yahoo.es>, for the Debian project (but may be used by others).